
#
# The name of the application.
# If not set, defaults to the name of the project (except for tests where it is not set at all).
#
#quarkus.application.name=

#
# The version of the application.
# If not set, defaults to the version of the project (except for tests where it is not set at all).
#
#quarkus.application.version=

#
# If set to true '@Inject' is automatically added to all non-static fields that are annotated with
# one of the annotations defined by {@link AutoInjectAnnotationBuildItem}.
#
#quarkus.arc.auto-inject-fields=true

#
# If set to true then 'javax.enterprise.inject.Produces' is automatically added to all non-void methods that are
# annotated with a scope annotation, a stereotype or a qualifier, and are not annotated with 'Inject' or
# 'Produces', and no parameter is annotated with 'Disposes', 'Observes' or 'ObservesAsync'.
#
#quarkus.arc.auto-producer-methods=true

#
# The default naming strategy for {@link ConfigProperties.NamingStrategy}. The allowed values are determined
# by that enum
#
#quarkus.arc.config-properties-default-naming-strategy=kebab-case

#
# If set to true then the container attempts to detect "unused removed beans" false positives during programmatic lookup at
# runtime. You can disable this feature to conserve some memory when running your application in production.
#
# @see ArcConfig#removeUnusedBeans
#
#quarkus.arc.detect-unused-false-positives=true

#
# If set to true then the container attempts to detect usage of <i>wrong</i> annotations.
#
# A <i>wrong</i> annotation may lead to unexpected behavior in a Quarkus application. A typical example is
# '@javax.ejb.Singleton' which is often confused with '@javax.inject.Singleton'. As a result a component
# annotated with '@javax.ejb.Singleton' can be completely ignored.
#
#quarkus.arc.detect-wrong-annotations=true

#
# The maven artifactId of the artifact.
#
#quarkus.arc.exclude-dependency.*.artifact-id=

#
# The maven classifier of the artifact.
#
#quarkus.arc.exclude-dependency.*.classifier=

#
# The maven groupId of the artifact.
#
#quarkus.arc.exclude-dependency.*.group-id=

#
# The list of types that should be excluded from discovery.
#
# An element value can be:
# 
#  - a fully qualified class name, i.e. 'org.acme.Foo'
#  - a simple class name as defined by {@link Class#getSimpleName()}, i.e. 'Foo'
#  - a package name with suffix '.*', i.e. 'org.acme.*', matches a package
#  - a package name with suffix '.**', i.e. 'org.acme.**', matches a package that starts with the value
# 
# If any element value matches a discovered type then the type is excluded from discovery, i.e. no beans and observer
# methods are created from this type.
#
#quarkus.arc.exclude-types=

#
# 
#  - If set to 'all' (or 'true') the container will attempt to remove all unused beans.
#  - If set to 'none' (or 'false') no beans will ever be removed even if they are unused (according to the
# criteria set out
# below)
#  - If set to 'fwk', then all unused beans will be removed, except the unused beans whose classes are declared in
# the
# application code
# 
#
# An unused bean:
# 
#  - is not a built-in bean or interceptor,
#  - is not eligible for injection to any injection point,
#  - is not excluded by any extension,
#  - does not have a name,
#  - does not declare an observer,
#  - does not declare any producer which is eligible for injection to any injection point,
#  - is not directly eligible for injection into any {@link javax.enterprise.inject.Instance} injection point
# 
#
# @see UnremovableBeanBuildItem
#
#quarkus.arc.remove-unused-beans=all

#
# The list of selected alternatives for an application.
#
# An element value can be:
# 
#  - a fully qualified class name, i.e. 'org.acme.Foo'
#  - a simple class name as defined by {@link Class#getSimpleName()}, i.e. 'Foo'
#  - a package name with suffix '.*', i.e. 'org.acme.*', matches a package
#  - a package name with suffix '.**', i.e. 'org.acme.**', matches a package that starts with the value
# 
# Each element value is used to match an alternative bean class, an alternative stereotype annotation type or a bean class
# that declares an alternative producer. If any value matches then the priority of {@link Integer#MAX_VALUE} is used for
# the relevant bean. The priority declared via {@link javax.annotation.Priority} or
# {@link io.quarkus.arc.AlternativePriority} is overriden.
#
#quarkus.arc.selected-alternatives=

#
# If set to true, the bytecode of unproxyable beans will be transformed. This ensures that a proxy/subclass
# can be created properly. If the value is set to false, then an exception is thrown at build time indicating that a
# subclass/proxy could not be created.
#
# Quarkus performs the following transformations when this setting is enabled:
# 
#  - Remove 'final' modifier from classes and methods when a proxy is required.
#  - Create a no-args constructor if needed.
#  - Makes private no-args constructors package-private if necessary.
# </ul
#
#quarkus.arc.transform-unproxyable-classes=true

#
# List of types that should be considered unremovable regardless of whether they are directly used or not.
# This is a configuration option equivalent to using {@link io.quarkus.arc.Unremovable} annotation.
#
# An element value can be:
# 
#  - a fully qualified class name, i.e. 'org.acme.Foo'
#  - a simple class name as defined by {@link Class#getSimpleName()}, i.e. 'Foo'
#  - a package name with suffix '.*', i.e. 'org.acme.*', matches a package
#  - a package name with suffix '.**', i.e. 'org.acme.**', matches a package that starts with the value
# 
# If any element value matches a discovered bean, then such a bean is considered unremovable.
#
# @see 'remove-unused-beans'
# @see {@link io.quarkus.arc.Unremovable}
#
#quarkus.arc.unremovable-types=

#
# The arguments passed to the command line.
#
# We don't make it a list as the args are separated by a space, not a comma.
#
#quarkus.args=

#
# Whether or not the banner will be displayed
#
#quarkus.banner.enabled=true

#
# The path of the banner (path relative to root of classpath)
# which could be provided by user
#
#quarkus.banner.path=default_banner.txt

#
# Artifacts that are loaded in a parent first manner. This can be used to work around issues where a given
# class needs to be loaded by the system ClassLoader. Note that if you
# make a library parent first all its dependencies should generally also be parent first.
#
# Artifacts should be configured as a comma separated list of artifact ids, with the group, artifact-id and optional
# classifier separated by a colon.
#
# WARNING: This config property can only be set in application.properties
#
#quarkus.class-loading.parent-first-artifacts=

#
# Artifacts that are loaded in the runtime ClassLoader in dev mode, so they will be dropped
# and recreated on change.
#
# This is an advanced option, it should only be used if you have a problem with
# libraries holding stale state between reloads. Note that if you use this any library that depends on the listed libraries
# will also need to be reloadable.
#
# This setting has no impact on production builds.
#
# Artifacts should be configured as a comma separated list of artifact ids, with the group, artifact-id and optional
# classifier separated by a colon.
#
# WARNING: This config property can only be set in application.properties
#
#quarkus.class-loading.reloadable-artifacts=

#
# What should happen if the application is started with a different build time configuration than it was compiled
# against. This may be useful to prevent misconfiguration.
#
# If this is set to 'warn' the application will warn at start up.
#
# If this is set to 'fail' the application will fail at start up.
#
# Native tests leveraging<code>@io.quarkus.test.junit.TestProfile</code> are always run with
# 'quarkus.configuration.build-time-mismatch-at-runtime = fail'.
#
#quarkus.configuration.build-time-mismatch-at-runtime=warn

#
# The credentials provider name
#
#quarkus.datasource.*.credentials-provider=

#
# The credentials provider bean name.
#
# It is the '&#64;Named' value of the credentials provider bean. It is used to discriminate if multiple
# CredentialsProvider beans are available.
#
# For Vault it is: vault-credentials-provider. Not necessary if there is only one credentials provider available.
#
#quarkus.datasource.*.credentials-provider-name=

#
# The kind of database we will connect to (e.g. h2, postgresql...).
#
#quarkus.datasource.*.db-kind=

#
# The datasource password
#
#quarkus.datasource.*.password=

#
# If we create a Reactive datasource for this datasource.
#
#quarkus.datasource.*.reactive=true

#
# Whether prepared statements should be cached on the client side.
#
#quarkus.datasource.*.reactive.cache-prepared-statements=false

#
# The maximum time without data written to or read from a connection before it is closed.
#
#quarkus.datasource.*.reactive.idle-timeout=

#
# JKS config is disabled by default.
#
#quarkus.datasource.*.reactive.key-certificate-jks=false

#
# Password of the key file.
#
#quarkus.datasource.*.reactive.key-certificate-jks.password=

#
# Path of the key file (JKS format).
#
#quarkus.datasource.*.reactive.key-certificate-jks.path=

#
# PEM Key/cert config is disabled by default.
#
#quarkus.datasource.*.reactive.key-certificate-pem=false

#
# Comma-separated list of the path to the certificate files (Pem format).
#
#quarkus.datasource.*.reactive.key-certificate-pem.certs=

#
# Comma-separated list of the path to the key files (Pem format).
#
#quarkus.datasource.*.reactive.key-certificate-pem.keys=

#
# PFX config is disabled by default.
#
#quarkus.datasource.*.reactive.key-certificate-pfx=false

#
# Password of the key.
#
#quarkus.datasource.*.reactive.key-certificate-pfx.password=

#
# Path to the key file (PFX format).
#
#quarkus.datasource.*.reactive.key-certificate-pfx.path=

#
# The datasource pool maximum size.
# Note that a separate pool instance is started for each thread using it: the size limits each individual pool instance.
#
#quarkus.datasource.*.reactive.max-size=

#
# Whether prepared statements should be cached on the client side.
#
# @deprecated use 'datasource.reactive.cache-prepared-statements' instead.
#
#quarkus.datasource.*.reactive.postgresql.cache-prepared-statements=

#
# The maximum number of inflight database commands that can be pipelined.
#
#quarkus.datasource.*.reactive.postgresql.pipelining-limit=

#
# SSL operating mode of the client.
#
# See <a href="https://www.postgresql.org/docs/current/libpq-ssl.html#LIBPQ-SSL-PROTECTION">Protection Provided in
# Different Modes</a>.
#
#quarkus.datasource.*.reactive.postgresql.ssl-mode=

#
# The number of reconnection attempts when a pooled connection cannot be established on first try.
#
#quarkus.datasource.*.reactive.reconnect-attempts=0

#
# The interval between reconnection attempts when a pooled connection cannot be established on first try.
#
#quarkus.datasource.*.reactive.reconnect-interval=PT1S

#
# Deprecated: this will be removed with no replacement.
# We always return a threadsafe pool now, using a separate Pool instance for each Thread.
#
# @Deprecated
#
#quarkus.datasource.*.reactive.thread-local=

#
# Whether all server certificates should be trusted.
#
#quarkus.datasource.*.reactive.trust-all=false

#
# JKS config is disabled by default.
#
#quarkus.datasource.*.reactive.trust-certificate-jks=false

#
# Password of the key file.
#
#quarkus.datasource.*.reactive.trust-certificate-jks.password=

#
# Path of the key file (JKS format).
#
#quarkus.datasource.*.reactive.trust-certificate-jks.path=

#
# PEM Trust config is disabled by default.
#
#quarkus.datasource.*.reactive.trust-certificate-pem=false

#
# Comma-separated list of the trust certificate files (Pem format).
#
#quarkus.datasource.*.reactive.trust-certificate-pem.certs=

#
# PFX config is disabled by default.
#
#quarkus.datasource.*.reactive.trust-certificate-pfx=false

#
# Password of the key.
#
#quarkus.datasource.*.reactive.trust-certificate-pfx.password=

#
# Path to the key file (PFX format).
#
#quarkus.datasource.*.reactive.trust-certificate-pfx.path=

#
# The datasource URL.
#
#quarkus.datasource.*.reactive.url=

#
# The datasource username
#
#quarkus.datasource.*.username=

#
# The credentials provider name
#
#quarkus.datasource.credentials-provider=

#
# The credentials provider bean name.
#
# It is the '&#64;Named' value of the credentials provider bean. It is used to discriminate if multiple
# CredentialsProvider beans are available.
#
# For Vault it is: vault-credentials-provider. Not necessary if there is only one credentials provider available.
#
#quarkus.datasource.credentials-provider-name=

#
# The kind of database we will connect to (e.g. h2, postgresql...).
#
#quarkus.datasource.db-kind=

#

#
#quarkus.datasource.driver=

#
# Whether or not an health check is published in case the smallrye-health extension is present.
#
# This is a global setting and is not specific to a datasource.
#
#quarkus.datasource.health.enabled=true

#
# Whether or not datasource metrics are published in case a metrics extension is present.
#
# This is a global setting and is not specific to a datasource.
#
# NOTE: This is different from the "jdbc.enable-metrics" property that needs to be set on the JDBC datasource level to
# enable collection of metrics for that datasource.
#
#quarkus.datasource.metrics.enabled=false

#
# The datasource password
#
#quarkus.datasource.password=

#
# If we create a Reactive datasource for this datasource.
#
#quarkus.datasource.reactive=true

#
# Whether prepared statements should be cached on the client side.
#
#quarkus.datasource.reactive.cache-prepared-statements=false

#
# The maximum time without data written to or read from a connection before it is closed.
#
#quarkus.datasource.reactive.idle-timeout=

#
# JKS config is disabled by default.
#
#quarkus.datasource.reactive.key-certificate-jks=false

#
# Password of the key file.
#
#quarkus.datasource.reactive.key-certificate-jks.password=

#
# Path of the key file (JKS format).
#
#quarkus.datasource.reactive.key-certificate-jks.path=

#
# PEM Key/cert config is disabled by default.
#
#quarkus.datasource.reactive.key-certificate-pem=false

#
# Comma-separated list of the path to the certificate files (Pem format).
#
#quarkus.datasource.reactive.key-certificate-pem.certs=

#
# Comma-separated list of the path to the key files (Pem format).
#
#quarkus.datasource.reactive.key-certificate-pem.keys=

#
# PFX config is disabled by default.
#
#quarkus.datasource.reactive.key-certificate-pfx=false

#
# Password of the key.
#
#quarkus.datasource.reactive.key-certificate-pfx.password=

#
# Path to the key file (PFX format).
#
#quarkus.datasource.reactive.key-certificate-pfx.path=

#
# The datasource pool maximum size.
# Note that a separate pool instance is started for each thread using it: the size limits each individual pool instance.
#
#quarkus.datasource.reactive.max-size=

#
# Whether prepared statements should be cached on the client side.
#
# @deprecated use 'datasource.reactive.cache-prepared-statements' instead.
#
#quarkus.datasource.reactive.postgresql.cache-prepared-statements=

#
# The maximum number of inflight database commands that can be pipelined.
#
#quarkus.datasource.reactive.postgresql.pipelining-limit=

#
# SSL operating mode of the client.
#
# See <a href="https://www.postgresql.org/docs/current/libpq-ssl.html#LIBPQ-SSL-PROTECTION">Protection Provided in
# Different Modes</a>.
#
#quarkus.datasource.reactive.postgresql.ssl-mode=

#
# The number of reconnection attempts when a pooled connection cannot be established on first try.
#
#quarkus.datasource.reactive.reconnect-attempts=0

#
# The interval between reconnection attempts when a pooled connection cannot be established on first try.
#
#quarkus.datasource.reactive.reconnect-interval=PT1S

#
# Deprecated: this will be removed with no replacement.
# We always return a threadsafe pool now, using a separate Pool instance for each Thread.
#
# @Deprecated
#
#quarkus.datasource.reactive.thread-local=

#
# Whether all server certificates should be trusted.
#
#quarkus.datasource.reactive.trust-all=false

#
# JKS config is disabled by default.
#
#quarkus.datasource.reactive.trust-certificate-jks=false

#
# Password of the key file.
#
#quarkus.datasource.reactive.trust-certificate-jks.password=

#
# Path of the key file (JKS format).
#
#quarkus.datasource.reactive.trust-certificate-jks.path=

#
# PEM Trust config is disabled by default.
#
#quarkus.datasource.reactive.trust-certificate-pem=false

#
# Comma-separated list of the trust certificate files (Pem format).
#
#quarkus.datasource.reactive.trust-certificate-pem.certs=

#
# PFX config is disabled by default.
#
#quarkus.datasource.reactive.trust-certificate-pfx=false

#
# Password of the key.
#
#quarkus.datasource.reactive.trust-certificate-pfx.password=

#
# Path to the key file (PFX format).
#
#quarkus.datasource.reactive.trust-certificate-pfx.path=

#
# The datasource URL.
#
#quarkus.datasource.reactive.url=

#

#
#quarkus.datasource.url=

#
# The datasource username
#
#quarkus.datasource.username=

#
# If set to a directory, all generated classes will be written into that directory
#
#quarkus.debug.generated-classes-dir=

#
# If set to true, writes a list of all reflective classes to META-INF
#
#quarkus.debug.reflection=false

#
# Default locale that can be consumed by the extensions.
#
# The locales must be specified in the IETF BCP 47 format e.g. en-US or fr-FR.
#
# For instance, the Hibernate Validator extension makes use of it.
#
#quarkus.default-locale=${user.language:en}-${user.country:}

#
# Whether or not Quarkus should disable it's ability to not do a full restart
# when changes to classes are compatible with JVM instrumentation.
# If this is set to true, Quarkus will always restart on changes and never perform class redefinition.
#
#quarkus.dev.instrumentation=true

#
# The access log file base name, defaults to 'quarkus' which will give a log file
# name of 'quarkus.log'.
#
#quarkus.http.access-log.base-file-name=quarkus

#
# The log category to use if logging is being done via the standard log mechanism (i.e. if base-file-name is empty).
#
#quarkus.http.access-log.category=io.quarkus.http.access-log

#
# If access logging is enabled. By default this will log via the standard logging facility
#
#quarkus.http.access-log.enabled=false

#
# The log directory to use when logging access to a file
#
# If this is not set then the current working directory is used.
#
#quarkus.http.access-log.log-directory=

#
# The log file suffix
#
#quarkus.http.access-log.log-suffix=.log

#
# If logging should be done to a separate file.
#
#quarkus.http.access-log.log-to-file=false

#
# The access log pattern.
#
# If this is the string `common`, `combined` or `long` then this will use one of the specified named formats:
#
# - common: `%h %l %u %t "%r" %s %b`
# - combined: `%h %l %u %t "%r" %s %b "%{i,Referer}" "%{i,User-Agent}"`
# - long: `%r\n%{ALL_REQUEST_HEADERS}`
#
# Otherwise consult the Quarkus documentation for the full list of variables that can be used.
#
# @asciidoclet
#
#quarkus.http.access-log.pattern=common

#
# If the log should be rotated daily
#
#quarkus.http.access-log.rotate=true

#
# If this is true and proxy address forwarding is enabled then the standard 'Forwarded' header will be used,
# rather than the more common but not standard 'X-Forwarded-For'.
#
# @deprecated use quarkus.http.proxy.allow-forwarded instead.
#
#quarkus.http.allow-forwarded=

#
# If basic auth should be enabled. If both basic and form auth is enabled then basic auth will be enabled in silent mode.
#
# If no authentication mechanisms are configured basic auth is the default.
#
#quarkus.http.auth.basic=false

#
# The cookie that is used to store the persistent session
#
#quarkus.http.auth.form.cookie-name=quarkus-credential

#
# If form authentication is enabled
#
#quarkus.http.auth.form.enabled=false

#
# The error page
#
#quarkus.http.auth.form.error-page=/error.html

#
# The landing page to redirect to if there is no saved page to redirect back to
#
#quarkus.http.auth.form.landing-page=/index.html

#
# Option to control the name of the cookie used to redirect the user back
# to where he want to get access to.
#
#quarkus.http.auth.form.location-cookie=quarkus-redirect-location

#
# The login page
#
#quarkus.http.auth.form.login-page=/login.html

#
# How old a cookie can get before it will be replaced with a new cookie with an updated timeout, also
# referred to as "renewal-timeout".
#
# Note that smaller values will result in slightly more server load (as new encrypted cookies will be
# generated more often), however larger values affect the inactivity timeout as the timeout is set
# when a cookie is generated.
#
# For example if this is set to 10 minutes, and the inactivity timeout is 30m, if a users last request
# is when the cookie is 9m old then the actual timeout will happen 21m after the last request, as the timeout
# is only refreshed when a new cookie is generated.
#
# In other words no timeout is tracked on the server side; the timestamp is encoded and encrypted in the cookie itself
# and it is decrypted and parsed with each request.
#
#quarkus.http.auth.form.new-cookie-interval=PT1M

#
# The password field name.
#
#quarkus.http.auth.form.password-parameter=j_password

#
# The post location.
#
#quarkus.http.auth.form.post-location=/j_security_check

#
# Option to disable redirect to landingPage if there is no saved page to redirect back to. Form Auth POST is followed
# by redirect to landingPage by default.
#
#quarkus.http.auth.form.redirect-after-login=true

#
# The inactivity (idle) timeout
#
# When inactivity timeout is reached, cookie is not renewed and a new login is enforced.
#
#quarkus.http.auth.form.timeout=PT30M

#
# The username field name.
#
#quarkus.http.auth.form.username-parameter=j_username

#
# Determines whether the entire permission set is enabled, or not.
#
# By default, if the permission set is defined, it is enabled.
#
#quarkus.http.auth.permission.*.enabled=

#
# The methods that this permission set applies to. If this is not set then they apply to all methods.
#
# Note that if a request matches any path from any permission set, but does not match the constraint
# due to the method not being listed then the request will be denied.
#
# Method specific permissions take precedence over matches that do not have any methods set.
#
# This means that for example if Quarkus is configured to allow GET and POST requests to /admin to
# and no other permissions are configured PUT requests to /admin will be denied.
#
#quarkus.http.auth.permission.*.methods=

#
# The paths that this permission check applies to. If the path ends in /* then this is treated
# as a path prefix, otherwise it is treated as an exact match.
#
# Matches are done on a length basis, so the most specific path match takes precedence.
#
# If multiple permission sets match the same path then explicit methods matches take precedence
# over over matches without methods set, otherwise the most restrictive permissions are applied.
#
#quarkus.http.auth.permission.*.paths=

#
# The HTTP policy that this permission set is linked to.
#
# There are 3 built in policies: permit, deny and authenticated. Role based
# policies can be defined, and extensions can add their own policies.
#
#quarkus.http.auth.permission.*.policy=

#
# The roles that are allowed to access resources protected by this policy
#
#quarkus.http.auth.policy.*.roles-allowed=

#
# If this is true and credentials are present then a user will always be authenticated
# before the request progresses.
#
# If this is false then an attempt will only be made to authenticate the user if a permission
# check is performed or the current user is required for some other reason.
#
#quarkus.http.auth.proactive=true

#
# The authentication realm
#
#quarkus.http.auth.realm=Quarkus

#
# The encryption key that is used to store persistent logins (e.g. for form auth). Logins are stored in a persistent
# cookie that is encrypted with AES-256 using a key derived from a SHA-256 hash of the key that is provided here.
#
# If no key is provided then an in-memory one will be generated, this will change on every restart though so it
# is not suitable for production environments. This must be more than 16 characters long for security reasons
#
#quarkus.http.auth.session.encryption-key=

#
# Whether the uploaded files should be removed after serving the request.
#
# If 'true' the uploaded files stored in 'quarkus.http.body-handler.uploads-directory' will be removed
# after handling the request. Otherwise the files will be left there forever.
#
#quarkus.http.body.delete-uploaded-files-on-end=true

#
# Whether the files sent using 'multipart/form-data' will be stored locally.
#
# If 'true', they will be stored in 'quarkus.http.body-handler.uploads-directory' and will be made
# available via 'io.vertx.ext.web.RoutingContext.fileUploads()'. Otherwise, the the files sent using
# 'multipart/form-data' will not be stored locally, and 'io.vertx.ext.web.RoutingContext.fileUploads()'
# will always return an empty collection. Note that even with this option being set to 'false', the
# 'multipart/form-data' requests will be accepted.
#
#quarkus.http.body.handle-file-uploads=true

#
# Whether the form attributes should be added to the request parameters.
#
# If 'true', the form attributes will be added to the request parameters; otherwise the form parameters will
# not be added to the request parameters
#
#quarkus.http.body.merge-form-attributes=true

#
# Whether the body buffer should pre-allocated based on the 'Content-Length' header value.
#
# If 'true' the body buffer is pre-allocated according to the size read from the 'Content-Length'
# header. Otherwise the body buffer is pre-allocated to 1KB, and is resized dynamically
#
#quarkus.http.body.preallocate-body-buffer=false

#
# The directory where the files sent using 'multipart/form-data' should be stored.
#
# Either an absolute path or a path relative to the current directory of the application process.
#
#quarkus.http.body.uploads-directory=${java.io.tmpdir}/uploads

#
# Enable the CORS filter.
#
#quarkus.http.cors=false

#
# The `Access-Control-Allow-Credentials` header is used to tell the
# browsers to expose the response to front-end JavaScript code when
# the requestâs credentials mode Request.credentials is âincludeâ.
#
# The value of this header will default to `true` if `quarkus.http.cors.origins` property is set and
# there is a match with the precise `Origin` header and that header is not '*'.
#
#quarkus.http.cors.access-control-allow-credentials=

#
# The `Access-Control-Max-Age` response header value indicating
# how long the results of a pre-flight request can be cached.
#
#quarkus.http.cors.access-control-max-age=

#
# HTTP headers exposed in CORS
#
# Comma separated list of valid headers. ex: X-Custom,Content-Disposition
#
# default: empty
#
#quarkus.http.cors.exposed-headers=

#
# HTTP headers allowed for CORS
#
# Comma separated list of valid headers. ex: X-Custom,Content-Disposition
# The filter allows any header if this is not set.
#
# default: returns any requested header as valid
#
#quarkus.http.cors.headers=

#
# HTTP methods allowed for CORS
#
# Comma separated list of valid methods. ex: GET,PUT,POST
# The filter allows any method if this is not set.
#
# default: returns any requested method as valid
#
#quarkus.http.cors.methods=

#
# Origins allowed for CORS
#
# Comma separated list of valid URLs. ex: http://www.quarkus.io,http://localhost:3000
# The filter allows any origin if this is not set.
#
# default: returns any requested origin as valid
#
#quarkus.http.cors.origins=

#
# Path to a unix domain socket
#
#quarkus.http.domain-socket=/var/run/io.quarkus.app.socket

#
# Enable listening to host:port
#
#quarkus.http.domain-socket-enabled=false

#
# If responses should be compressed.
#
# Note that this will attempt to compress all responses, to avoid compressing
# already compressed content (such as images) you need to set the following header:
#
# Content-Encoding: identity
#
# Which will tell vert.x not to compress the response.
#
#quarkus.http.enable-compression=false

#
# The HTTP host
#
# In dev/test mode this defaults to localhost, in prod mode this defaults to 0.0.0.0
#
# Defaulting to 0.0.0.0 makes it easier to deploy Quarkus to container, however it
# is not suitable for dev/test mode as other people on the network can connect to your
# development machine.
#
#quarkus.http.host=

#
# Enable listening to host:port
#
#quarkus.http.host-enabled=true

#
# If this is true (the default) then HTTP/2 will be enabled.
#
# Note that for browsers to be able to use it HTTPS must be enabled,
# and you must be running on JDK11 or above, as JDK8 does not support
# ALPN.
#
#quarkus.http.http2=true

#
# Http connection idle timeout
#
#quarkus.http.idle-timeout=30M

#
# If insecure (i.e. http rather than https) requests are allowed. If this is 'enabled'
# then http works as normal. 'redirect' will still open the http port, but
# all requests will be redirected to the HTTPS port. 'disabled' will prevent the HTTP
# port from opening at all.
#
#quarkus.http.insecure-requests=enabled

#
# The number if IO threads used to perform IO. This will be automatically set to a reasonable value based on
# the number of CPU cores if it is not provided. If this is set to a higher value than the number of Vert.x event
# loops then it will be capped at the number of event loops.
#
# In general this should be controlled by setting quarkus.vertx.event-loops-pool-size, this setting should only
# be used if you want to limit the number of HTTP io threads to a smaller number than the total number of IO threads.
#
#quarkus.http.io-threads=

#
# The maximum size of a request body.
#
#quarkus.http.limits.max-body-size=10240K

#
# The max HTTP chunk size
#
#quarkus.http.limits.max-chunk-size=8192

#
# The maximum length of all headers.
#
#quarkus.http.limits.max-header-size=20K

#
# The maximum length of the initial line (e.g. '"GET / HTTP/1.0"').
#
#quarkus.http.limits.max-initial-line-length=4096

#
# A common root path for non-application endpoints. Various extension-provided endpoints such as metrics, health,
# and openapi are deployed under this path by default.
#
# * Relative path (Default, `q`) ->
# Non-application endpoints will be served from
# `${quarkus.http.root-path}/${quarkus.http.non-application-root-path}`.
# * Absolute path (`/q`) ->
# Non-application endpoints will be served from the specified path.
# * `${quarkus.http.root-path}` -> Setting this path to the same value as HTTP root path disables
# this root path. All extension-provided endpoints will be served from `${quarkus.http.root-path}`.
#
# @asciidoclet
#
#quarkus.http.non-application-root-path=q

#
# The HTTP port
#
#quarkus.http.port=8080

#
# If this is true then the address, scheme etc will be set from headers forwarded by the proxy server, such as
# 'X-Forwarded-For'. This should only be set if you are behind a proxy that sets these headers.
#
# @deprecated use quarkus.http.proxy.proxy-address-forwarding instead.
#
#quarkus.http.proxy-address-forwarding=

#
# If this is true and proxy address forwarding is enabled then the standard 'Forwarded' header will be used,
# rather than the more common but not standard 'X-Forwarded-For'.
#
#quarkus.http.proxy.allow-forwarded=false

#
# Enable override the received request's host through a forwarded host header.
#
#quarkus.http.proxy.enable-forwarded-host=false

#
# Enable prefix the received request's path with a forwarded prefix header.
#
#quarkus.http.proxy.enable-forwarded-prefix=false

#
# Configure the forwarded host header to be used if override enabled.
#
#quarkus.http.proxy.forwarded-host-header=X-Forwarded-Host

#
# Configure the forwarded prefix header to be used if prefixing enabled.
#
#quarkus.http.proxy.forwarded-prefix-header=X-Forwarded-Prefix

#
# If this is true then the address, scheme etc will be set from headers forwarded by the proxy server, such as
# 'X-Forwarded-For'. This should only be set if you are behind a proxy that sets these headers.
#
#quarkus.http.proxy.proxy-address-forwarding=false

#
# Http connection read timeout for blocking IO. This is the maximum amount of time
# a thread will wait for data, before an IOException will be thrown and the connection
# closed.
#
#quarkus.http.read-timeout=60s

#
# If this is true then the request start time will be recorded to enable logging of total request time.
#
# This has a small performance penalty, so is disabled by default.
#
#quarkus.http.record-request-start-time=false

#
# Provide redirect endpoints for extension-provided endpoints existing prior to Quarkus 1.11.
# This will trigger HTTP 301 Redirects for the following:
#
# * `/graphql-ui`
# * `/health`
# * `/health-ui`
# * `/metrics`
# * `/openapi`
# * `/swagger-ui`
#
# Default is `true` for Quarkus 1.11.x to facilitate transition to name-spaced URIs using
# `${quarkus.http.non-application-root-path}`.
#
# Quarkus 1.13 will change the default to `false`,
# and the config item will be removed in Quarkus 2.0.
#
# @asciidoclet
#
#quarkus.http.redirect-to-non-application-root-path=true

#
# The HTTP root path. All web content will be served relative to this root path.
#
#quarkus.http.root-path=/

#
# If this is true then the 'secure' attribute will automatically be sent on
# cookies with a SameSite attribute of None.
#
#quarkus.http.same-site-cookie.*.add-secure-for-none=true

#
# If the cookie pattern is case sensitive
#
#quarkus.http.same-site-cookie.*.case-sensitive=false

#
# Some User Agents break when sent SameSite=None, this will detect them and avoid sending the value
#
#quarkus.http.same-site-cookie.*.enable-client-checker=true

#
# The value to set in the samesite attribute
#
#quarkus.http.same-site-cookie.*.value=

#
# Enable socket reuse port (linux/macOs native transport only)
#
#quarkus.http.so-reuse-port=false

#
# The HTTPS port
#
#quarkus.http.ssl-port=8443

#
# The file path to a server certificate or certificate chain in PEM format.
#
#quarkus.http.ssl.certificate.file=

#
# The file path to the corresponding certificate private key file in PEM format.
#
#quarkus.http.ssl.certificate.key-file=

#
# An optional key store which holds the certificate information instead of specifying separate files.
#
#quarkus.http.ssl.certificate.key-store-file=

#
# An optional parameter to specify type of the key store file. If not given, the type is automatically detected
# based on the file name.
#
#quarkus.http.ssl.certificate.key-store-file-type=

#
# A parameter to specify the password of the key store file. If not given, the default ("password") is used.
#
#quarkus.http.ssl.certificate.key-store-password=password

#
# An optional parameter to specify a provider of the key store file. If not given, the provider is automatically detected
# based on the key store file type.
#
#quarkus.http.ssl.certificate.key-store-provider=

#
# An optional trust store which holds the certificate information of the certificates to trust
#
#quarkus.http.ssl.certificate.trust-store-file=

#
# An optional parameter to specify type of the trust store file. If not given, the type is automatically detected
# based on the file name.
#
#quarkus.http.ssl.certificate.trust-store-file-type=

#
# A parameter to specify the password of the trust store file.
#
#quarkus.http.ssl.certificate.trust-store-password=

#
# An optional parameter to specify a provider of the trust store file. If not given, the provider is automatically detected
# based on the trust store file type.
#
#quarkus.http.ssl.certificate.trust-store-provider=

#
# The cipher suites to use. If none is given, a reasonable default is selected.
#
#quarkus.http.ssl.cipher-suites=

#
# Configures the engine to require/request client authentication.
# NONE, REQUEST, REQUIRED
#
#quarkus.http.ssl.client-auth=NONE

#
# The list of protocols to explicitly enable.
#
#quarkus.http.ssl.protocols=TLSv1.3,TLSv1.2

#
# Enable tcp cork (linux native transport only)
#
#quarkus.http.tcp-cork=false

#
# Enable tcp fast open (linux native transport only)
#
#quarkus.http.tcp-fast-open=false

#
# Enable tcp quick ack (linux native transport only)
#
#quarkus.http.tcp-quick-ack=false

#
# The HTTP port used to run tests
#
#quarkus.http.test-port=8081

#
# The HTTPS port used to run tests
#
#quarkus.http.test-ssl-port=8444

#
# If this is true then only a virtual channel will be set up for vertx web.
# We have this switch for testing purposes.
#
#quarkus.http.virtual=false

#
# The maven artifactId of the artifact.
#
#quarkus.index-dependency.*.artifact-id=

#
# The maven classifier of the artifact.
#
#quarkus.index-dependency.*.classifier=

#
# The maven groupId of the artifact.
#
#quarkus.index-dependency.*.group-id=

#
# If enabled, Jackson will fail when encountering unknown properties.
#
# You can still override it locally with '@JsonIgnoreProperties(ignoreUnknown = false)'.
#
#quarkus.jackson.fail-on-unknown-properties=false

#
# @deprecated JNI is always enabled starting from GraalVM 19.3.1.
#
#quarkus.jni.enable=true

#
# Paths of library to load.
#
#quarkus.jni.library-paths=

#
# Password used to use to connect to the remote dev-mode application
#
#quarkus.live-reload.password=

#
# URL used to use to connect to the remote dev-mode application
#
#quarkus.live-reload.url=

#
# The names of additional resource files to watch for changes, triggering a reload on change. Directories are <em>not</em>
# supported.
#
#quarkus.live-reload.watched-resources=

#
# The set of supported locales that can be consumed by the extensions.
#
# The locales must be specified in the IETF BCP 47 format e.g. en-US or fr-FR.
#
# For instance, the Hibernate Validator extension makes use of it.
#
#quarkus.locales=${user.language:en}-${user.country:}

#
# The names of the handlers to link to this category.
#
#quarkus.log.category.*.handlers=

#
# The log level for this category.
#
# Note that to get log levels below <code>INFO</code>,
# the minimum level build time configuration option needs to be adjusted as well.
#
#quarkus.log.category.*.level=inherit

#
# The minimum log level for this category.
# By default all categories are configured with <code>DEBUG</code> minimum level.
#
# To get runtime logging below <code>DEBUG</code>, e.g. <code>TRACE</code>,
# the minimum level has to be adjusted at build time, the right log level needs to be provided at runtime.
#
# As an example, to get <code>TRACE</code> logging,
# minimum level needs to be at <code>TRACE</code> and the runtime log level needs to match that.
#
#quarkus.log.category.*.min-level=inherit

#
# Specify whether or not this logger should send its output to its parent Logger
#
#quarkus.log.category.*.use-parent-handlers=true

#
# Indicates whether to log asynchronously
#
#quarkus.log.console.async=false

#
# Determine whether to block the publisher (rather than drop the message) when the queue is full
#
#quarkus.log.console.async.overflow=block

#
# The queue length to use before flushing writing
#
#quarkus.log.console.async.queue-length=512

#
# If the console logging should be in color. If undefined quarkus takes
# best guess based on operating system and environment.
# Note that this value will be ignored if an extension is present that takes
# control of console formatting (e.g. an XML or JSON-format extension).
#
#quarkus.log.console.color=

#
# Specify how much the colors should be darkened.
# Note that this value will be ignored if an extension is present that takes
# control of console formatting (e.g. an XML or JSON-format extension).
#
#quarkus.log.console.darken=0

#
# If console logging should be enabled
#
#quarkus.log.console.enable=true

#
# The log format. Note that this value will be ignored if an extension is present that takes
# control of console formatting (e.g. an XML or JSON-format extension).
#
#quarkus.log.console.format=%d{yyyy-MM-dd HH:mm:ss,SSS} %-5p [%c{3.}] (%t) %s%e%n

#
# The console log level.
#
#quarkus.log.console.level=ALL

#
# Indicates whether to log asynchronously
#
#quarkus.log.file.async=false

#
# Determine whether to block the publisher (rather than drop the message) when the queue is full
#
#quarkus.log.file.async.overflow=block

#
# The queue length to use before flushing writing
#
#quarkus.log.file.async.queue-length=512

#
# If file logging should be enabled
#
#quarkus.log.file.enable=false

#
# The log format
#
#quarkus.log.file.format=%d{yyyy-MM-dd HH:mm:ss,SSS} %h %N[%i] %-5p [%c{3.}] (%t) %s%e%n

#
# The level of logs to be written into the file.
#
#quarkus.log.file.level=ALL

#
# The name of the file in which logs will be written.
#
#quarkus.log.file.path=quarkus.log

#
# File handler rotation file suffix.
#
# Example fileSuffix: .yyyy-MM-dd
#
#quarkus.log.file.rotation.file-suffix=

#
# The maximum number of backups to keep.
#
#quarkus.log.file.rotation.max-backup-index=1

#
# The maximum file size of the log file after which a rotation is executed.
#
#quarkus.log.file.rotation.max-file-size=

#
# Indicates whether to rotate log files on server initialization.
#
# You need to either set a 'max-file-size' or configure a 'file-suffix' for it to work.
#
#quarkus.log.file.rotation.rotate-on-boot=true

#
# The message starts to match
#
#quarkus.log.filter.*.if-starts-with=inherit

#
# The new log level for the filtered message, defaults to DEBUG
#
#quarkus.log.filter.*.target-level=DEBUG

#
# Indicates whether to log asynchronously
#
#quarkus.log.handler.console.*.async=false

#
# Determine whether to block the publisher (rather than drop the message) when the queue is full
#
#quarkus.log.handler.console.*.async.overflow=block

#
# The queue length to use before flushing writing
#
#quarkus.log.handler.console.*.async.queue-length=512

#
# If the console logging should be in color. If undefined quarkus takes
# best guess based on operating system and environment.
# Note that this value will be ignored if an extension is present that takes
# control of console formatting (e.g. an XML or JSON-format extension).
#
#quarkus.log.handler.console.*.color=

#
# Specify how much the colors should be darkened.
# Note that this value will be ignored if an extension is present that takes
# control of console formatting (e.g. an XML or JSON-format extension).
#
#quarkus.log.handler.console.*.darken=0

#
# If console logging should be enabled
#
#quarkus.log.handler.console.*.enable=true

#
# The log format. Note that this value will be ignored if an extension is present that takes
# control of console formatting (e.g. an XML or JSON-format extension).
#
#quarkus.log.handler.console.*.format=%d{yyyy-MM-dd HH:mm:ss,SSS} %-5p [%c{3.}] (%t) %s%e%n

#
# The console log level.
#
#quarkus.log.handler.console.*.level=ALL

#
# Indicates whether to log asynchronously
#
#quarkus.log.handler.file.*.async=false

#
# Determine whether to block the publisher (rather than drop the message) when the queue is full
#
#quarkus.log.handler.file.*.async.overflow=block

#
# The queue length to use before flushing writing
#
#quarkus.log.handler.file.*.async.queue-length=512

#
# If file logging should be enabled
#
#quarkus.log.handler.file.*.enable=false

#
# The log format
#
#quarkus.log.handler.file.*.format=%d{yyyy-MM-dd HH:mm:ss,SSS} %h %N[%i] %-5p [%c{3.}] (%t) %s%e%n

#
# The level of logs to be written into the file.
#
#quarkus.log.handler.file.*.level=ALL

#
# The name of the file in which logs will be written.
#
#quarkus.log.handler.file.*.path=quarkus.log

#
# File handler rotation file suffix.
#
# Example fileSuffix: .yyyy-MM-dd
#
#quarkus.log.handler.file.*.rotation.file-suffix=

#
# The maximum number of backups to keep.
#
#quarkus.log.handler.file.*.rotation.max-backup-index=1

#
# The maximum file size of the log file after which a rotation is executed.
#
#quarkus.log.handler.file.*.rotation.max-file-size=

#
# Indicates whether to rotate log files on server initialization.
#
# You need to either set a 'max-file-size' or configure a 'file-suffix' for it to work.
#
#quarkus.log.handler.file.*.rotation.rotate-on-boot=true

#
# The app name used when formatting the message in RFC5424 format
#
#quarkus.log.handler.syslog.*.app-name=

#
# Indicates whether to log asynchronously
#
#quarkus.log.handler.syslog.*.async=false

#
# Determine whether to block the publisher (rather than drop the message) when the queue is full
#
#quarkus.log.handler.syslog.*.async.overflow=block

#
# The queue length to use before flushing writing
#
#quarkus.log.handler.syslog.*.async.queue-length=512

#
# Enables or disables blocking when attempting to reconnect a
# {@link org.jboss.logmanager.handlers.SyslogHandler.Protocol#TCP
# TCP} or {@link org.jboss.logmanager.handlers.SyslogHandler.Protocol#SSL_TCP SSL TCP} protocol
#
#quarkus.log.handler.syslog.*.block-on-reconnect=false

#
# If syslog logging should be enabled
#
#quarkus.log.handler.syslog.*.enable=false

#
# The IP address and port of the syslog server
#
#quarkus.log.handler.syslog.*.endpoint=localhost:514

#
# Sets the facility used when calculating the priority of the message as defined by RFC-5424 and RFC-3164
#
#quarkus.log.handler.syslog.*.facility=user-level

#
# The log message format
#
#quarkus.log.handler.syslog.*.format=%d{yyyy-MM-dd HH:mm:ss,SSS} %-5p [%c{3.}] (%t) %s%e%n

#
# The name of the host the messages are being sent from
#
#quarkus.log.handler.syslog.*.hostname=

#
# The log level specifying, which message levels will be logged by syslog logger
#
#quarkus.log.handler.syslog.*.level=ALL

#
# Sets the protocol used to connect to the syslog server
#
#quarkus.log.handler.syslog.*.protocol=tcp

#
# Set the {@link SyslogType syslog type} this handler should use to format the message sent
#
#quarkus.log.handler.syslog.*.syslog-type=rfc5424

#
# Set to 'true' if the message should be truncated
#
#quarkus.log.handler.syslog.*.truncate=true

#
# Set to 'true' if the message being sent should be prefixed with the size of the message
#
#quarkus.log.handler.syslog.*.use-counting-framing=false

#
# The log level of the root category, which is used as the default log level for all categories.
#
# JBoss Logging supports Apache style log levels:
#
# * {@link org.jboss.logmanager.Level#FATAL}
# * {@link org.jboss.logmanager.Level#ERROR}
# * {@link org.jboss.logmanager.Level#WARN}
# * {@link org.jboss.logmanager.Level#INFO}
# * {@link org.jboss.logmanager.Level#DEBUG}
# * {@link org.jboss.logmanager.Level#TRACE}
#
# In addition, it also supports the standard JDK log levels.
#
# @asciidoclet
#
#quarkus.log.level=INFO

#
# Whether or not logging metrics are published in case a metrics extension is present.
#
#quarkus.log.metrics.enabled=false

#
# The default minimum log level.
#
#quarkus.log.min-level=DEBUG

#
# The app name used when formatting the message in RFC5424 format
#
#quarkus.log.syslog.app-name=

#
# Indicates whether to log asynchronously
#
#quarkus.log.syslog.async=false

#
# Determine whether to block the publisher (rather than drop the message) when the queue is full
#
#quarkus.log.syslog.async.overflow=block

#
# The queue length to use before flushing writing
#
#quarkus.log.syslog.async.queue-length=512

#
# Enables or disables blocking when attempting to reconnect a
# {@link org.jboss.logmanager.handlers.SyslogHandler.Protocol#TCP
# TCP} or {@link org.jboss.logmanager.handlers.SyslogHandler.Protocol#SSL_TCP SSL TCP} protocol
#
#quarkus.log.syslog.block-on-reconnect=false

#
# If syslog logging should be enabled
#
#quarkus.log.syslog.enable=false

#
# The IP address and port of the syslog server
#
#quarkus.log.syslog.endpoint=localhost:514

#
# Sets the facility used when calculating the priority of the message as defined by RFC-5424 and RFC-3164
#
#quarkus.log.syslog.facility=user-level

#
# The log message format
#
#quarkus.log.syslog.format=%d{yyyy-MM-dd HH:mm:ss,SSS} %-5p [%c{3.}] (%t) %s%e%n

#
# The name of the host the messages are being sent from
#
#quarkus.log.syslog.hostname=

#
# The log level specifying, which message levels will be logged by syslog logger
#
#quarkus.log.syslog.level=ALL

#
# Sets the protocol used to connect to the syslog server
#
#quarkus.log.syslog.protocol=tcp

#
# Set the {@link SyslogType syslog type} this handler should use to format the message sent
#
#quarkus.log.syslog.syslog-type=rfc5424

#
# Set to 'true' if the message should be truncated
#
#quarkus.log.syslog.truncate=true

#
# Set to 'true' if the message being sent should be prefixed with the size of the message
#
#quarkus.log.syslog.use-counting-framing=false

#
# If all character sets should be added to the native image. This increases image size
#
#quarkus.native.add-all-charsets=false

#
# Additional arguments to pass to the build process
#
#quarkus.native.additional-build-args=

#
# If all META-INF/services entries should be automatically registered
#
#quarkus.native.auto-service-loader-registration=false

#
# The docker image to use to do the image build
#
#quarkus.native.builder-image=${platform.quarkus.native.builder-image}

#
# If the native image server should be restarted
#
#quarkus.native.cleanup-server=false

#
# If this build should be done using a container runtime. If this is set docker will be used by default,
# unless container-runtime is also set.
#
#quarkus.native.container-build=false

#
# The container runtime (e.g. docker) that is used to do an image based build. If this is set then
# a container build is always done.
#
#quarkus.native.container-runtime=

#
# Options to pass to the container runtime
#
#quarkus.native.container-runtime-options=

#
# If the native image build should wait for a debugger to be attached before running. This is an advanced option
# and is generally only intended for those familiar with GraalVM internals
#
#quarkus.native.debug-build-process=false

#
# If debug is enabled and debug symbols are generated.
# The symbols will be generated in a separate .debug file.
#
#quarkus.native.debug.enabled=false

#
# If the bytecode of all proxies should be dumped for inspection
#
#quarkus.native.dump-proxies=false

#
# If all security services should be added to the native image
#
#quarkus.native.enable-all-security-services=false

#
# Generate the report files for GraalVM Dashboard.
#
#quarkus.native.enable-dashboard-dump=false

#
# If a JVM based 'fallback image' should be created if native image fails. This is not recommended, as this is
# functionally the same as just running the application in a JVM
#
#quarkus.native.enable-fallback-images=false

#
# If the HTTP url handler should be enabled, allowing you to do URL.openConnection() for HTTP URLs
#
#quarkus.native.enable-http-url-handler=true

#
# If the HTTPS url handler should be enabled, allowing you to do URL.openConnection() for HTTPS URLs
#
#quarkus.native.enable-https-url-handler=false

#
# If isolates should be enabled
#
#quarkus.native.enable-isolates=true

#
# @deprecated JNI is always enabled starting from GraalVM 19.3.1.
#
#quarkus.native.enable-jni=true

#
# If the reports on call paths and included packages/classes/methods should be generated
#
#quarkus.native.enable-reports=false

#
# If the native image server should be used. This can speed up compilation but can result in changes not always
# being picked up due to cache invalidation not working 100%
#
#quarkus.native.enable-server=false

#
# If the resulting image should allow VM introspection
#
#quarkus.native.enable-vm-inspection=false

#
# Defines the file encoding as in -Dfile.encoding=...
#
# Native image runtime uses the host's (i.e. build time) value of file.encoding
# system property. We intentionally default this to UTF-8 to avoid platform specific
# defaults to be picked up which can then result in inconsistent behavior in the
# generated native executable.
#
#quarkus.native.file-encoding=UTF-8

#
# If full stack traces are enabled in the resulting image
#
#quarkus.native.full-stack-traces=true

#
# The location of the Graal distribution
#
#quarkus.native.graalvm-home=${GRAALVM_HOME:}

#
# The location of the JDK
#
#quarkus.native.java-home=${java.home}

#
# The maximum Java heap to be used during the native image generation
#
#quarkus.native.native-image-xmx=

#
# If the debug port should be published when building with docker and debug-build-process is true
#
#quarkus.native.publish-debug-build-process-port=true

#
# If this build is done using a remote docker daemon.
#
#quarkus.native.remote-container-build=false

#
# If errors should be reported at runtime. This is a more relaxed setting, however it is not recommended as it
# means
# your application may fail at runtime if an unsupported feature is used by accident.
#
#quarkus.native.report-errors-at-runtime=false

#
# If exceptions should be reported with a full stack trace
#
#quarkus.native.report-exception-stack-traces=true

#
# A comma separated list of globs to match resource paths that should <b>not</b> be added to the native image.
#
# Use slash ('/') as a path separator on all platforms. Globs must not start with slash.
#
# Please refer to 'includes' for details about the glob syntax.
#
# By default, no resources are excluded.
#
# Example: Given that you have 'src/main/resources/red.png'
# and 'src/main/resources/foo/green.png' in your source tree and one of your dependency JARs contains
# 'bar/blue.png' file, with the following configuration
#
# <pre>
# quarkus.native.resources.includes = **&#47;*.png
# quarkus.native.resources.excludes = foo/**,**&#47;green.png
# </pre>
#
# the resource 'red.png' will be available in the native image while the resources 'foo/green.png'
# and 'bar/blue.png' will not be available in the native image.
#
#quarkus.native.resources.excludes=

#
# A comma separated list of globs to match resource paths that should be added to the native image.
#
# Use slash ('/') as a path separator on all platforms. Globs must not start with slash.
#
# By default, no resources are included.
#
# Example: Given that you have 'src/main/resources/ignored.png'
# and 'src/main/resources/foo/selected.png' in your source tree and one of your dependency JARs contains
# 'bar/some.txt' file, with the following configuration
#
# <pre>
# quarkus.native.resources.includes = foo/**,bar/**&#47;*.txt
# </pre>
#
# the files 'src/main/resources/foo/selected.png' and 'bar/some.txt' will be included in the native
# image, while 'src/main/resources/ignored.png' will not be included.
#
# <h3>Supported glob features</h3>
# <table>
# <tr>
# <th>Feature</th>
# <th>Description</th>
# </tr>
# <tr>
# <td><code>*</code></td>
# <td>Matches a (possibly empty) sequence of characters that does not contain slash ('/')</td>
# </tr>
# <tr>
# <td><code>**</code></td>
# <td>Matches a (possibly empty) sequence of characters that may contain slash ('/')</td>
# </tr>
# <tr>
# <td><code>?</code></td>
# <td>Matches one character, but not slash</td>
# </tr>
# <tr>
# <td><code>[abc]</code></td>
# <td>Matches one character given in the bracket, but not slash</td>
# </tr>
# <tr>
# <td><code>[a-z]</code></td>
# <td>Matches one character from the range given in the bracket, but not slash</td>
# </tr>
# <tr>
# <td><code>[!abc]</code></td>
# <td>Matches one character not named in the bracket; does not match slash</td>
# </tr>
# <tr>
# <td><code>[a-z]</code></td>
# <td>Matches one character outside the range given in the bracket; does not match slash</td>
# </tr>
# <tr>
# <td><code>{one,two,three}</code></td>
# <td>Matches any of the alternating tokens separated by comma; the tokens may contain wildcards, nested
# alternations and ranges</td>
# </tr>
# <tr>
# <td><code>\</code></td>
# <td>The escape character</td>
# </tr>
# </table>
#
# Note that there are three levels of escaping when passing this option via 'application.properties':
# <ol>
#  - 'application.properties' parser
#  - MicroProfile Config list converter that splits the comma separated list
#  - Glob parser
# </ol>
# All three levels use backslash ('\') as the escaping character. So you need to use an appropriate
# number of backslashes depending on which level you want to escape.
#
# Note that Quarkus extensions typically include the resources they require by themselves. This option is
# useful in situations when the built-in functionality is not sufficient.
#
#quarkus.native.resources.includes=

#
# Defines the user country used for building the native executable.
#
# Defaults to the system one.
#
#quarkus.native.user-country=${user.country:}

#
# Defines the user language used for building the native executable.
#
# Defaults to the system one.
#
#quarkus.native.user-language=${user.language:}

#
# When AppCDS generation is enabled, if this property is set, then the JVM used to generate the AppCDS file
# will be the JVM present in the container image. The builder image is expected to have have the 'java' binary
# on its PATH.
# This flag is useful when the JVM to be used at runtime is not the same exact JVM version as the one used to build
# the jar.
# Note that this property is consulted only when 'quarkus.package.create-appcds=true' and it requires having
# docker available during the build.
#
#quarkus.package.appcds-builder-image=

#
# Whether to automate the creation of AppCDS. This has not effect when a native binary is needed and will be ignored in
# that case.
# Furthermore, this option only works for Java 11+ and is considered experimental for the time being.
# Finally, care must be taken to use the same exact JVM version when building and running the application.
#
#quarkus.package.create-appcds=false

#
# The entry point of the application. This can either be a a fully qualified name of a standard Java
# class with a main method, or {@link io.quarkus.runtime.QuarkusApplication}.
#
# If your application has main classes annotated with {@link io.quarkus.runtime.annotations.QuarkusMain}
# then this can also reference the name given in the annotation, to avoid the need to specify fully qualified
# names in the config.
#
#quarkus.package.main-class=

#
# If the Implementation information should be included in the runner jar's MANIFEST.MF.
#
#quarkus.package.manifest.add-implementation-entries=true

#
# Custom manifest sections to be added to the MANIFEST.MF file.
# An example of the user defined property:
# quarkus.package.manifest.manifest-sections.{Section-Name}.{Entry-Key1}={Value1}
# quarkus.package.manifest.manifest-sections.{Section-Name}.{Entry-Key2}={Value2}
#
#quarkus.package.manifest.manifest-sections.*.*=

#
# The output folder in which to place the output, this is resolved relative to the build
# systems target directory.
#
#quarkus.package.output-directory=

#
# The name of the final artifact
#
#quarkus.package.output-name=

#
# The suffix that is applied to the runner jar and native images
#
#quarkus.package.runner-suffix=-runner

#
# The requested output type.
#
# The default built in types are 'jar' (which will use 'fast-jar'), 'legacy-jar' for the pre-1.12 default jar
# packaging, 'uber-jar' and 'native'.
#
#quarkus.package.type=jar

#
# If the java runner should be packed as an uberjar
#
# This is deprecated, you should use quarkus.package.type=uber-jar instead
#
#quarkus.package.uber-jar=false

#
# Files that should not be copied to the output artifact
#
#quarkus.package.user-configured-ignored-entries=

#
# This is an advanced option that only takes effect for the mutable-jar format.
#
# If this is specified a directory of this name will be created in the jar distribution. Users can place
# jar files in this directory, and when re-augmentation is performed these will be processed and added to the
# class-path.
#
# Note that before reaugmentation has been performed these jars will be ignored, and if they are updated the app
# should be reaugmented again.
#
#quarkus.package.user-providers-directory=

#
# artifactId of the platform to use
#
#quarkus.platform.artifact-id=quarkus-universe-bom

#
# groupId of the platform to use
#
#quarkus.platform.group-id=io.quarkus

#
# version of the platform to use
#
#quarkus.platform.version=999-SNAPSHOT

#
# Profile that will be active when Quarkus launches
#
# Default value is 'prod'
#
#quarkus.profile=

#
# If this is true (the default) then JSON is set to the default media type. If a method has no
# produces/consumes and there is no builtin provider than can handle the type
# then we will assume the response should be JSON.
#
# Note that this will only take effect if a JSON provider has been installed, such as quarkus-resteasy-jsonb
# or quarkus-resteasy-jackson.
#
#quarkus.resteasy-json.json-default=true

#
# If gzip is enabled
#
#quarkus.resteasy.gzip.enabled=false

#
# Maximum deflated file bytes size
#
# If the limit is exceeded, Resteasy will return Response
# with status 413("Request Entity Too Large")
#
#quarkus.resteasy.gzip.max-input=10M

#
# Ignore all explict JAX-RS {@link Application} classes.
# As multiple JAX-RS applications are not supported, this can be used to effectively merge all JAX-RS applications.
#
#quarkus.resteasy.ignore-application-classes=false

#
# Whether or not detailed JAX-RS metrics should be enabled if the smallrye-metrics
# extension is present.
#
# See <a href=
# "https://github.com/eclipse/microprofile-metrics/blob/2.3.x/spec/src/main/asciidoc/required-metrics.adoc#optional-rest">MicroProfile
# Metrics: Optional REST metrics</a>.
#
# Deprecated. Use 'quarkus.smallrye-metrics.jaxrs.enabled'.
#
#quarkus.resteasy.metrics.enabled=false

#
# Set this to override the default path for JAX-RS resources if there are no
# annotated application classes.
#
#quarkus.resteasy.path=/

#
# If this is true then JAX-RS will use only a single instance of a resource
# class to service all requests.
#
# If this is false then it will create a new instance of the resource per
# request.
#
# If the resource class has an explicit CDI scope annotation then the value of
# this annotation will always be used to control the lifecycle of the resource
# class.
#
# IMPLEMENTATION NOTE: 'javax.ws.rs.Path' turns into a CDI stereotype
# with singleton scope. As a result, if a user annotates a JAX-RS resource with
# a stereotype which has a different default scope the deployment fails with
# IllegalStateException.
#
#quarkus.resteasy.singleton-resources=true

#
# The size of the output stream response buffer. If a response is larger than this and no content-length
# is provided then the request will be chunked.
#
# Larger values may give slight performance increases for large responses, at the expense of more memory usage.
#
#quarkus.resteasy.vertx.response-buffer-size=8191

#
# if set to true, access to all JAX-RS resources will be denied by default
#
#quarkus.security.jaxrs.deny-unannotated-endpoints=false

#
# The timeout to wait for running requests to finish. If this is not set then the application will exit immediately.
#
# Setting this timeout will incur a small performance penalty, as it requires active requests to be tracked.
#
#quarkus.shutdown.timeout=

#
# Enable native SSL support.
#
#quarkus.ssl.native=

#
# Configures the hang detection in @QuarkusTest. If no activity happens (i.e. no test callbacks are called) over
# this period then QuarkusTest will dump all threads stack traces, to help diagnose a potential hang.
#
# Note that the initial timeout (before Quarkus has started) will only apply if provided by a system property, as
# it is not possible to read all config sources until Quarkus has booted.
#
#quarkus.test.hang-detection-timeout=10m

#
# The profile to use when testing the native image
#
#quarkus.test.native-image-profile=prod

#
# Duration to wait for the native image to built during testing
#
#quarkus.test.native-image-wait-time=PT5M

#
# The profile (dev, test or prod) to use when testing using @QuarkusTest
#
#quarkus.test.profile=test

#
# The tags this profile is associated with.
# When the 'quarkus.test.profile.tags' System property is set (its value is a comma separated list of strings)
# then Quarkus will only execute tests that are annotated with a '@TestProfile' that has at least one of the
# supplied (via the aforementioned system property) tags.
#
#quarkus.test.profile.tags=

#
# The core thread pool size. This number of threads will always be kept alive.
#
#quarkus.thread-pool.core-threads=1

#
# The executor growth resistance.
#
# A resistance factor applied after the core pool is full; values applied here will cause that fraction
# of submissions to create new threads when no idle thread is available. A value of '0.0f' implies that
# threads beyond the core size should be created as aggressively as threads within it; a value of '1.0f'
# implies that threads beyond the core size should never be created.
#
#quarkus.thread-pool.growth-resistance=0

#
# The amount of time a thread will stay alive with no work.
#
#quarkus.thread-pool.keep-alive-time=30

#
# The maximum number of threads. If this is not specified then
# it will be automatically sized to the greater of 8 * the number of available processors and 200.
# For example if there are 4 processors the max threads will be 200.
# If there are 48 processors it will be 384.
#
#quarkus.thread-pool.max-threads=

#
# Prefill core thread pool.
# The core thread pool will be initialised with the core number of threads at startup
#
#quarkus.thread-pool.prefill=true

#
# The queue size. For most applications this should be unbounded
#
#quarkus.thread-pool.queue-size=

#
# The frequency at which the status of the thread pool should be checked during shutdown. Information about
# waiting tasks and threads will be checked and possibly logged at this interval. Setting this key to an empty
# value disables the shutdown check interval.
#
#quarkus.thread-pool.shutdown-check-interval=5

#
# The amount of time to wait for thread pool shutdown before tasks should be interrupted. If this value is
# greater than or equal to the value for 'shutdown-timeout', then tasks will not be interrupted before
# the shutdown timeout occurs.
#
#quarkus.thread-pool.shutdown-interrupt=10

#
# The shutdown timeout. If all pending work has not been completed by this time
# then additional threads will be spawned to attempt to finish any pending tasks, and the shutdown process will
# continue
#
#quarkus.thread-pool.shutdown-timeout=1M

#
# Enable trusting all certificates. Disable by default.
#
#quarkus.tls.trust-all=false

#
# Enables or disables the Vert.x cache.
#
#quarkus.vertx.caching=true

#
# Enables or disabled the Vert.x classpath resource resolver.
#
#quarkus.vertx.classpath-resolving=true

#
# Enables or disables the clustering.
#
#quarkus.vertx.cluster.clustered=false

#
# The host name.
#
#quarkus.vertx.cluster.host=localhost

#
# The ping interval.
#
#quarkus.vertx.cluster.ping-interval=20

#
# The ping reply interval.
#
#quarkus.vertx.cluster.ping-reply-interval=20

#
# The port.
#
#quarkus.vertx.cluster.port=

#
# The public host name.
#
#quarkus.vertx.cluster.public-host=

#
# The public port.
#
#quarkus.vertx.cluster.public-port=

#
# The number of event loops. 2 x the number of core by default.
#
#quarkus.vertx.event-loops-pool-size=

#
# The accept backlog.
#
#quarkus.vertx.eventbus.accept-backlog=

#
# The client authentication.
#
#quarkus.vertx.eventbus.client-auth=NONE

#
# The connect timeout.
#
#quarkus.vertx.eventbus.connect-timeout=60

#
# The idle timeout in milliseconds.
#
#quarkus.vertx.eventbus.idle-timeout=

#
# JKS config is disabled by default.
#
#quarkus.vertx.eventbus.key-certificate-jks=false

#
# Password of the key file.
#
#quarkus.vertx.eventbus.key-certificate-jks.password=

#
# Path of the key file (JKS format).
#
#quarkus.vertx.eventbus.key-certificate-jks.path=

#
# PEM Key/cert config is disabled by default.
#
#quarkus.vertx.eventbus.key-certificate-pem=false

#
# Comma-separated list of the path to the certificate files (Pem format).
#
#quarkus.vertx.eventbus.key-certificate-pem.certs=

#
# Comma-separated list of the path to the key files (Pem format).
#
#quarkus.vertx.eventbus.key-certificate-pem.keys=

#
# PFX config is disabled by default.
#
#quarkus.vertx.eventbus.key-certificate-pfx=false

#
# Password of the key.
#
#quarkus.vertx.eventbus.key-certificate-pfx.password=

#
# Path to the key file (PFX format).
#
#quarkus.vertx.eventbus.key-certificate-pfx.path=

#
# The receive buffer size.
#
#quarkus.vertx.eventbus.receive-buffer-size=

#
# The number of reconnection attempts.
#
#quarkus.vertx.eventbus.reconnect-attempts=0

#
# The reconnection interval in milliseconds.
#
#quarkus.vertx.eventbus.reconnect-interval=1

#
# Whether or not to reuse the address.
#
#quarkus.vertx.eventbus.reuse-address=true

#
# Whether or not to reuse the port.
#
#quarkus.vertx.eventbus.reuse-port=false

#
# The send buffer size.
#
#quarkus.vertx.eventbus.send-buffer-size=

#
# The so linger.
#
#quarkus.vertx.eventbus.soLinger=

#
# Enables or Disabled SSL.
#
#quarkus.vertx.eventbus.ssl=false

#
# Whether or not to keep the TCP connection opened (keep-alive).
#
#quarkus.vertx.eventbus.tcp-keep-alive=false

#
# Configure the TCP no delay.
#
#quarkus.vertx.eventbus.tcp-no-delay=true

#
# Configure the traffic class.
#
#quarkus.vertx.eventbus.traffic-class=

#
# Enables or disables the trust all parameter.
#
#quarkus.vertx.eventbus.trust-all=false

#
# JKS config is disabled by default.
#
#quarkus.vertx.eventbus.trust-certificate-jks=false

#
# Password of the key file.
#
#quarkus.vertx.eventbus.trust-certificate-jks.password=

#
# Path of the key file (JKS format).
#
#quarkus.vertx.eventbus.trust-certificate-jks.path=

#
# PEM Trust config is disabled by default.
#
#quarkus.vertx.eventbus.trust-certificate-pem=false

#
# Comma-separated list of the trust certificate files (Pem format).
#
#quarkus.vertx.eventbus.trust-certificate-pem.certs=

#
# PFX config is disabled by default.
#
#quarkus.vertx.eventbus.trust-certificate-pfx=false

#
# Password of the key.
#
#quarkus.vertx.eventbus.trust-certificate-pfx.password=

#
# Path to the key file (PFX format).
#
#quarkus.vertx.eventbus.trust-certificate-pfx.path=

#
# The size of the internal thread pool (used for the file system).
#
#quarkus.vertx.internal-blocking-pool-size=20

#
# The maximum amount of time the event loop can be blocked.
#
#quarkus.vertx.max-event-loop-execute-time=2

#
# The maximum amount of time the worker thread can be blocked.
#
#quarkus.vertx.max-worker-execute-time=60

#
# Enable or disable native transport
#
#quarkus.vertx.prefer-native-transport=false

#
# The maximum amount of time in seconds that a successfully resolved address will be cached.
#
# If not set explicitly, resolved addresses may be cached forever.
#
#quarkus.vertx.resolver.cache-max-time-to-live=2147483647

#
# The minimum amount of time in seconds that a successfully resolved address will be cached.
#
#quarkus.vertx.resolver.cache-min-time-to-live=0

#
# The amount of time in seconds that an unsuccessful attempt to resolve an address will be cached.
#
#quarkus.vertx.resolver.cache-negative-time-to-live=0

#
# Enables the async DNS resolver.
#
#quarkus.vertx.use-async-dns=false

#
# The amount of time before a warning is displayed if the event loop is blocked.
#
#quarkus.vertx.warning-exception-time=2

#
# The size of the worker thread pool.
#
#quarkus.vertx.worker-pool-size=20
